// Copyright 2015 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

//go:build dragonfly || freebsd || netbsd || openbsd

package x509

// Possible certificate files; stop after finding one.
var certFiles = []string{
	"@@HOMEBREW_PREFIX@@/etc/ssl/cert.pem",            // FreeBSD
	"/etc/ssl/cert.pem",                      // OpenBSD
	"@@HOMEBREW_PREFIX@@/share/certs/ca-root-nss.crt", // DragonFly
	"/etc/openssl/certs/ca-certificates.crt", // NetBSD
}

// Possible directories with certificate files; all will be read.
var certDirectories = []string{
	"/etc/ssl/certs",         // FreeBSD 12.2+
	"@@HOMEBREW_PREFIX@@/share/certs", // FreeBSD
	"/etc/openssl/certs",     // NetBSD
}
